import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:gap/gap.dart';

import '../../../../core/styles/app_color.dart';
import '../../../../core/styles/app_images.dart';
import '../../../../core/styles/app_text.dart';
import '../../../../shared/components/text_widget.dart';

class OtpTopSection extends StatelessWidget {
  const OtpTopSection({super.key});

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.center,
      children: [
        const Gap(85),
        Center(
          child: SvgPicture.asset(
            AppImages.welcomeLogo,
          ),
        ),
        const Gap(125),
        TextWidget().text20W700(
          AppText.checkYourMessages,
          clr: AppColor.charcoalColor,
        ),
        const Gap(25),
        Padding(
          padding: const EdgeInsets.symmetric(horizontal: 35),
          child: TextWidget().text14W500(
            AppText.referToSameOtpMessage,
            clr: AppColor.smokeGrayColor,
          ),
        ),
      ],
    );
  }
}
